// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Inputs
{

    public sealed class DiskSpecArgs : global::Pulumi.ResourceArgs
    {
        [Input("hdds", required: true)]
        private InputList<Inputs.DiskArgs>? _hdds;
        public InputList<Inputs.DiskArgs> Hdds
        {
            get => _hdds ?? (_hdds = new InputList<Inputs.DiskArgs>());
            set => _hdds = value;
        }

        [Input("ssds", required: true)]
        private InputList<Inputs.SSDArgs>? _ssds;
        public InputList<Inputs.SSDArgs> Ssds
        {
            get => _ssds ?? (_ssds = new InputList<Inputs.SSDArgs>());
            set => _ssds = value;
        }

        public DiskSpecArgs()
        {
        }
        public static new DiskSpecArgs Empty => new DiskSpecArgs();
    }
}
